[Rubygems-developers] About rake on MinGW w/ ruby-libvirt

Luis Lavena luislavena at gmail.com
Thu Jun 19 04:36:44 EDT 2008


On Thu, Jun 19, 2008 at 9:36 AM, Atsushi SAKAI <sakaia at jp.fujitsu.com> wrote:
> Hi,
>
> I am trying to make ruby bindings for libvirt on MinGW.
> But it failed on
> # rake build
> The command "rake build" itself succeeds on Linux(fedora 6) but failed on MinGW.
>
> If you know the idea to solve this,
> Please suggest me.

Are you trying to build with MinGW using One-Click Installer ruby? or
are you trying with the MinGW version of Ruby distro I've created?

Since you didn't post the output of mkmf.log file (the one that
extconf.rb generates) we cannot figure out what is actually happening,
but I guess is the VC6 vs. MinGW issue.

You can grab a "pre-baked" mingw+msys environment for ruby here:

http://dump.mmediasys.com/installer3

And also a MinGW compiled ruby there (1.8.6-p114)

> ==Environment==
> MinGW-5.1.4.exe
> (for more detail see: https://www.redhat.com/archives/libvir-list/2008-June/msg00201.html)
> ruby(1.8.4), rubygems(1.1.0), rake(0.8.1) seems installed successfully.

I suggest you try build libvirt first using the MinGW provided (add
the missing pieces from the environment you described before build the
ruby-libvirt bindings.

You can join us at rubyinstaller-devel mailing list:

http://rubyforge.org/mailman/listinfo/rubyinstaller-devel

Since we are working on improve stability of MinGW for Ruby and the
extensions around it.

Hope that helps,
-- 
Luis Lavena
AREA 17
-
Human beings, who are almost unique in having the ability to learn from
the experience of others, are also remarkable for their apparent
disinclination to do so.
Douglas Adams


More information about the Rubygems-developers mailing list